#!/usr/bin/perl

=begin comment info
 +-----------------------------------------------------------------------------+
 | Copyright 2001, Guardian Digital Inc.                                        
 | $Id: GDSN_help.cgi,v 1.3.4.1 2003/04/16 16:55:12 rwm Exp $
 |
 | Ryan W. Maple, <ryan@guardiandigital.com>
 +-----------------------------------------------------------------------------+
=end comment info
=cut

  ###  Import our library subroutines.
  require "GDSN-lib.pl";

  ###  Now print the pretty HTML.
  print <<EOF;
Content-type: text/html

<HTML>
  <HEAD>
    <STYLE TYPE="text/css">
      A:link { text-decoration: none; }
      A:visited { text-decoration: none; }
      A:active { text-decoration: none }
      A:hover { color: #D3ACDA; }
      BODY,TH,P,FONT,LI,UL,BLOCKQUOTE,A,TABLE,I { font-family: Arial, Helvetica, Sans-Serif; font-size: 10pt }
      PRE { font-family: Courier }
      .thead { font-family: Arial, Helvetica, Sans-Serif; font-size: 10pt; color: #ffffff; margin-left: 10px; }
      .ttitle { font-family: Arial, Helvetica, Sans-Serif; font-size: 14pt; color: #ffffff; margin-left: 10px; }
      .rhead { font-family: Arial, Helvetica, Sans-Serif; font-size: 10pt; color: #ffffff; margin-right: 10px; }
      .nbody { font-family: Arial, Helvetica, Sans-Serif; font-size: 10pt; margin-left: 10px; margin-right: 10px; }
      .tbody { margin-left: 10px; }
      .toolfont { font-family: Arial, Helvetica, Sans-Serif;   font-size: 10pt; }
    </STYLE>
  </HEAD>

  <BODY BGCOLOR="#FFFFFF" LINK="#0000EE" VLINK="#0000EE" TEXT="#000000">

<P><CENTER>
  <TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" WIDTH="100%">
  <TR $tb>
    <TD COLSPAN="2"><DIV CLASS="ttitle"><B>Guardian Digital Secure Network Help </B></DIV></TD>
  </TR>

  <TR $cb> <TD COLSPAN="2"> &nbsp; </TD> </TR>

  <TR $cb>
    <TD WIDTH="20"> &nbsp; </TD>
    <TD>
      <TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" WIDTH="100%">
      <TR $tb>
        <TD><DIV CLASS="thead"><B> General Configuration </B></DIV></TD>
      </TR>

      <TR>
        <TD><DIV CLASS="nbody">
          In this section you set up general configuration options.
          <B>Advanced View</B> will show more detailed status screens.

          <P>Your <B>Account Number</B> and <B>Account Password</B> are the
          same as the ones you registered.
        </DIV></TD>
      </TR>

      <TR> <TD> &nbsp </TD> </TR>

      <TR $tb>
        <TD><DIV CLASS="thead"><B> Install from Local Media </B></DIV></TD>
      </TR>

      <TR>
        <TD><DIV CLASS="nbody">
          You can install package groups from an accompanying EnGarde Secure
          Professional CD such as the Workgroup Suite in this section.  Simply
          place the CD in the machines CD-ROM drive and click the link.

          <P>The CD-ROM will be mounted and, if it is a valid EnGarde Secure
          Professional CD, you will be presented with a list of package groups
          on the CD which you have yet to install.
        </DIV></TD>
      </TR>

      <TR> <TD> &nbsp </TD> </TR>

      <TR $tb>
        <TD><DIV CLASS="thead"><B> Run the Update Agent </B></DIV></TD>
      </TR>

      <TR>
        <TD><DIV CLASS="nbody">
          This section is where you retrieve updated packages from Guardian
          Digital.  Using the <B>Account Number</B> and <B>Password</B> from
          the "General Configuration" section, the WebTool will connect to
          Guardian Digital's machines and retrieve a list of candidate packages.

          <P>Provided you are validated and you have purchased an Activation
          Code, you will then be presented with a list of packages which are
          suitable for upgrading.  Click on the <B>Advisory</B> link for more
          information on each updated package.  Check the packages you wish to
          upgrade and click the "Retrieve Packages" button.

          <P>When the process is done you will see a list of packages that were
          upgraded.
        </DIV></TD>
      </TR>

      <TR> <TD> &nbsp </TD> </TR>

      <TR $tb>
        <TD><DIV CLASS="thead"><B> Run the Installation Agent </B></DIV></TD>
      </TR>

      <TR>
        <TD><DIV CLASS="nbody">
          This section is where you install newly available packages from
          Guardian Digital.  It works exactly like the <B>Update Agent</B>
          except it installs new packages rather then upgrading existing ones.

          <P>Provided you are validated and you have purchased an Activation
          Code, you will then be presented with a list of packages which are
          suitable for installing.  Click on the <B>Advisory</B> link for more
          information on what each new package does, and why you may want to
          install it.  Check the packages you wish to install and click the
          "Install Packages" button.

          <P>When the process is done you will see a list of packages that were
          installed.
        </DIV></TD>
      </TR>

      <TR> <TD> &nbsp </TD> </TR>

      </TABLE>
    </TD>
  </TR>

  </TABLE>
</CENTER><P>

  </BODY>
</HTML>
EOF
