#!/usr/bin/perl

=begin comment info
 +-----------------------------------------------------------------------------+
 | Copyright 2001, Guardian Digital Inc.
 | $Id: do_edit_config.cgi,v 1.2.4.2 2003/04/22 20:52:42 rwm Exp $
 |
 | Ryan W. Maple, <ryan@guardiandigital.com>
 +-----------------------------------------------------------------------------+
=end comment info
=cut

  # Import our library routines and populate %in.
  require 'GDSN-lib.pl';
  &ReadParse();

  # Input validation.
  if (($in{'advanced_view'} != 0) && ($in{'advanced_view'} != 1)) {
    &PrintError("You have entered an invalid value for 'Advanced View'"); exit;
  }
  if (($in{'autocheck'} != 0) && ($in{'autocheck'} != 1)) {
    &PrintError("You have entered an invalid value for 'Auto-Check Agent Selections'"); exit;
  }
  elsif (! $in{'activation_code'}) {
    &PrintError("Please enter an 'Activation Code'"); exit;
  }
  elsif (! $in{'password'}) {
    &PrintError("Please enter a 'Password'"); exit;
  }
  elsif (! $in{'password2'}) { 
    &PrintError("Please verify your 'Password'"); exit;
  }
  elsif ($in{'password'} ne $in{'password2'}) {
    &PrintError("Your passwords do not match.  Please re-enter."); exit;
  }

  # Update module configuration.
  &read_file("$module_config_directory/config", \%tmp);

    $tmp{'autocheck'}       = $in{'autocheck'};
    $tmp{'advanced_view'}   = $in{'advanced_view'};
    $tmp{'activation_code'} = $in{'activation_code'};
    $tmp{'password'}        = $in{'password'};
    $tmp{'configured'}      = 1;

  &write_file("$module_config_directory/config", \%tmp);

  # Go back to the index page.
  &redirect("index.cgi");
