#!/usr/bin/perl

=begin comment info
 +-----------------------------------------------------------------------------+
 | Copyright 2001, Guardian Digital Inc.
 | $Id: edit_config.cgi,v 1.2 2002/01/21 02:14:25 rwm Exp $
 |
 | Ryan W. Maple, <ryan@guardiandigital.com>
 +-----------------------------------------------------------------------------+
=end comment info
=cut

  ###  Import our library routines.
  require 'GDSN-lib.pl';


  ###  Define local variables.
  my ($autocheck_HELP, $advanced_view_HELP, $activation_code_HELP);
  my ($password_HELP, $password2_HELP);                                        
  my ($autocheck_SELECT, $advanced_view_SELECT);

  ###  Set up local variables.
  $autocheck_HELP        =  &hlink("Auto-Check Agent Selections", "autocheck");
  $advanced_view_HELP    =  &hlink("Advanced View", "advanced_view");
  $activation_code_HELP  =  &hlink("Activation Code", "activation_code");
  $password_HELP         =  &hlink("Password", "password");
  $password2_HELP        =  &hlink("Verify Password", "password");

  $autocheck_SELECT      =  "<SELECT NAME=\"autocheck\">\n";
  $autocheck_SELECT     .=  "  <OPTION VALUE=\"1\"";
  $autocheck_SELECT     .=  "SELECTED" if ($config{'autocheck'});
  $autocheck_SELECT     .=  ">Enabled</OPTION>\n";
  $autocheck_SELECT     .=  "  <OPTION VALUE=\"0\"";
  $autocheck_SELECT     .=  "SELECTED" if (! $config{'autocheck'});
  $autocheck_SELECT     .=  ">Disabled</OPTION>\n";
  $autocheck_SELECT     .=  "</SELECT>\n";

  $advanced_view_SELECT  =  "<SELECT NAME=\"advanced_view\">\n";
  $advanced_view_SELECT .=  "  <OPTION VALUE=\"1\"";
  $advanced_view_SELECT .=  "SELECTED" if ($config{'advanced_view'});
  $advanced_view_SELECT .=  ">Enabled</OPTION>\n";
  $advanced_view_SELECT .=  "  <OPTION VALUE=\"0\"";
  $advanced_view_SELECT .=  "SELECTED" if (! $config{'advanced_view'});
  $advanced_view_SELECT .=  ">Disabled</OPTION>\n";
  $advanced_view_SELECT .=  "</SELECT>\n";


  ###  Print the header.
  &header("Guardian Digital Secure Network :: General Configuration", 0);

  ###  Print HTML.
  print <<EOF01;
<P><CENTER>
  <FORM ACTION="do_edit_config.cgi" METHOD="POST">
  <TABLE BORDER="0" WIDTH="620" CELLPADDING="0" CELLSPACING="0">
  <TR $tb>
    <TD COLSPAN="2"><DIV CLASS="ttitle"><B>Guardian Digital Secure Network</B></DIV></TD>
  </TR>

  <TR $cb>
    <TD COLSPAN="2"><DIV CLASS="nbody">
      Below you can set up your local configuration.  Settings made here will
      affect all other GDSN functions.
    </DIV></TD>
  </TR>

  <TR $cb><TD COLSPAN="2">&nbsp;</TD></TR>

  <TR $cb>
    <TD WIDTH="10"> &nbsp; </TD>
    <TD>
      <TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" WIDTH="100%">
      <TR $tb>
        <TD COLSPAN="2"><DIV CLASS="thead"><B>General Configuration</B></DIV></TD>
      </TR>

      <TR $cb>
        <TD><DIV CLASS="nbody"><B>$autocheck_HELP</B></DIV></TD>
        <TD><DIV CLASS="toolfont">
$autocheck_SELECT
        </DIV></TD>
      </TR>

      <TR $cb>
        <TD><DIV CLASS="nbody"><B>$advanced_view_HELP</B></DIV></TD>
        <TD><DIV CLASS="toolfont">
$advanced_view_SELECT
        </DIV></TD>
      </TR>

      <TR $cb>
        <TD><DIV CLASS="nbody"><B>$activation_code_HELP</B></DIV></TD>
        <TD>
          <INPUT TYPE="TEXT" NAME="activation_code" SIZE="12" MAXLENGTH="12" VALUE="$config{'activation_code'}">
        </TD>
      </TR>

      <TR $cb>
        <TD><DIV CLASS="nbody"><B>$password_HELP</B></DIV></TD>
        <TD>
          <INPUT TYPE="PASSWORD" NAME="password" SIZE="10" VALUE="$config{'password'}">
        </TD>
      </TR>
      
      <TR $cb>
        <TD><DIV CLASS="nbody"><B>$password2_HELP</B></DIV></TD>
        <TD>
          <INPUT TYPE="PASSWORD" NAME="password2" SIZE="10" VALUE="$config{'password'}">
        </TD>
      </TR>

      <TR $cb> <TD COLSPAN="2"> &nbsp; </TD> </TR>

      <TR $cb>
        <TD COLSPAN="2" ALIGN="RIGHT"><DIV CLASS="nbody">
          <INPUT TYPE="SUBMIT" NAME="save" VALUE="Save Changes">
        </DIV></TD>
      </TR>
      </TABLE>
    </TD>
  </TR>
  </TABLE></FORM>

EOF01


  ###  Print the footer.
  &ryanFooter("index.cgi");

