#!/usr/bin/perl

=begin comment info
 +-----------------------------------------------------------------------------+
 | Copyright 2001, Guardian Digital Inc.
 | $Id: index.cgi,v 1.4.4.4 2003/04/23 12:38:24 rwm Exp $
 |
 | Ryan W. Maple, <ryan@guardiandigital.com>
 +-----------------------------------------------------------------------------+
=end comment info
=cut

  ###  Import our library routines.
  require 'GDSN-lib.pl';


  ###  Print the header.
  &header("Guardian Digital Secure Network", 0);

  my $foo1 = mkEvalPopup('Install from Local Media', 1);
  my $bar1 = mkEvalPopup('Install new packages from an EnGarde CD.');
  my $foo2 = mkEvalPopup('EnGarde License Manager', 1);
  my $bar2 = mkEvalPopup('View and obtain licenses for EnGarde add-on products.');


  # Show nagware popup if this machine has not been configured or activated yet.
  if (! $config{'configured'} || !  $config{'activated'}) {
    print <<EOF;
<SCRIPT LANGUAGE="JavaScript">
  window.open('show_nagware.cgi', 'gdsn_reminder', 'toolbar=no,menubar=no, scrollbars=yes,resize=yes,width=550,height=500');
</SCRIPT>
EOF
  }

  # Show reminder popup if this machine's activation_code has expired.
  elsif ($config{'activation_code_expired'} == 1) {
    print <<EOF;
<SCRIPT LANGUAGE="JavaScript">
  window.open('show_reminder.cgi', 'gdsn_reminder', 'toolbar=no,menubar=no, scrollbars=yes,resize=yes,width=550,height=500');
</SCRIPT>
EOF
  }

  ###  Print the HTML.
  print <<EOF;
<P><CENTER>
  <TABLE BORDER="0" WIDTH="620" CELLPADDING="0" CELLSPACING="0">
  <TR $tb>
    <TD COLSPAN="2"><DIV CLASS="ttitle"><B>Guardian Digital Secure Network</B></DIV></TD>
  </TR>

  <TR $cb>
    <TD COLSPAN="2"><DIV CLASS="nbody">
      Welcome to the Guardian Digital Secure Network.  Before you can use the
      GDSN you must configure your activation code and password in the
      <B>General Configuration</B>.
    </DIV></TD>
  </TR>

  <TR $cb><TD COLSPAN="2">&nbsp;</TD></TR>

  <TR $cb>
    <TD WIDTH="40%"><DIV CLASS="nbody"><B>
      <A HREF="edit_config.cgi">General Configuration</A>
    </B></DIV></TD>
    <TD><DIV CLASS="nbody">
      Configure and customize the GDSN.
    </DIV></TD>
  </TR>

  <TR $cb><TD COLSPAN="2">&nbsp;</TD></TR>

  <TR $cb>
    <TD WIDTH="40%"><DIV CLASS="nbody"><B>
      <A HREF="send_sysoverview.cgi">Send System Overview</A>
    </B></DIV></TD>
    <TD><DIV CLASS="nbody">
      Send Guardian Digital an overview of this system.
    </DIV></TD>
  </TR>

  <TR $cb><TD COLSPAN="2">&nbsp;</TD></TR>
  <TR $cb><TD COLSPAN="2">&nbsp;</TD></TR>

  <TR $cb>
    <TD><DIV CLASS="nbody"><B> $foo2 </B></DIV></TD>
    <TD><DIV CLASS="nbody"> $bar2 </DIV> </TD>
  </TR>

  <TR $cb><TD COLSPAN="2">&nbsp;</TD></TR>

  <TR $cb>
    <TD><DIV CLASS="nbody"><B> $foo1 </B></DIV></TD>
    <TD><DIV CLASS="nbody"> $bar1 </DIV> </TD>
  </TR>

  <TR $cb><TD COLSPAN="2">&nbsp;</TD></TR>

  <TR $cb>
    <TD><DIV CLASS="nbody"><B>
      <A HREF="updates_check.cgi">Run the Update Agent</A></B>
    </DIV></TD>
    <TD><DIV CLASS="nbody">
      Check for and retrieve updated packages.
    </DIV></TD>
  </TR>

  <TR $cb><TD COLSPAN="2">&nbsp;</TD></TR>

  <TR $cb>
    <TD><DIV CLASS="nbody"><B>
      <A HREF="installation_check.cgi">Run the Installation Agent</A></B>
    </DIV></TD>
    <TD><DIV CLASS="nbody">
      Check for new, installable, packages.
    </DIV></TD>
  </TR>

  <TR $cb><TD COLSPAN="2">&nbsp;</TD></TR>
  <TR $cb><TD COLSPAN="2">&nbsp;</TD></TR>

  <TR $cb>
    <TD><DIV CLASS="nbody"><B> <A onClick='window.open("GDSN_help.cgi", "help", "toolbar=no,menubar=no,scrollbars=yes,width=400,height=450,resizable=yes"); return false' HREF="GDSN_help.cgi">[ GD Secure Network Help ]</A> </B></DIV></TD>
    <TD><DIV CLASS="nbody">View the help page for this module.</DIV></TD>
  </TR>

  <TR $cb><TD COLSPAN="2">&nbsp;</TD></TR>
  </TABLE>
</CENTER><P>
EOF


  ###  Print the footer.
  &ryanFooter("/");

