#!/usr/bin/perl

=begin comment info
 +-----------------------------------------------------------------------------+
 | Copyright 2001, Guardian Digital Inc.
 | $Id: updates_summary.cgi,v 1.1.1.1 2001/12/11 06:50:38 rwm Exp $
 |
 | Ryan W. Maple, <ryan@guardiandigital.com>
 +-----------------------------------------------------------------------------+
=end comment info
=cut

  ###  Import our library routines and populate %in.
  require "GDSN-lib.pl";
  &ReadParse();
  do "$INCOMING_DIR/Payload.pl";


  ###  Define local variables.
  my (%PAYLOAD);

  ###  Setup local variables.
  %PAYLOAD = &gdupdate_populate();


  ###  Print header.
  &header("Guardian Digital Secure Network :: Update Overview", 0);

  ###  Print some HTML.
  print <<EOF;
<FORM ACTION="updates_download.cgi" METHOD="POST">
<P><CENTER><TABLE BORDER="0" WIDTH="620" CELLPADDING="0" CELLSPACING="0">
  <TR $tb>
    <TD COLSPAN="2"><DIV CLASS="ttitle"><B>Guardian Digital Secure Network</B></DIV></TD>
  </TR>

  <TR $cb>
    <TD COLSPAN="2"><DIV CLASS="nbody">
      The following packages were successfully updated.
    </DIV></TD>
  </TR>

  <TR $cb> <TD COLSPAN="2"> &nbsp; </TD> </TR>

  <TR $cb>
    <TD WIDTH="10"> &nbsp; </TD>
    <TD $cb><DIV CLASS="nbody">
<UL>
EOF


  ###  Display all the packages that were updated.
  foreach my $k (sort keys %PAYLOAD) {
    next if (! $in{$k});

    print "      <LI><B>$k:</B> $PAYLOAD{$k}->{'SUMMARY'}</LI>\n";
  }


  ###  More HTML.
  print <<EOF;
</UL>
    </DIV></TD>
  </TR>
  <TR $cb> <TD COLSPAN="2"> &nbsp; </TD> </TR>

</TABLE></CENTER><P></FORM>
EOF

  ###  Print footer.
  &ryanFooter("index.cgi");
