#!/usr/bin/perl

=begin comment info
 +-----------------------------------------------------------------------------+
 | Copyright 2001-2003, Guardian Digital Inc.
 | $Id: send_sysoverview.cgi,v 1.1.2.2 2003/04/23 13:37:16 rwm Exp $
 |
 | Ryan W. Maple <ryan@guardiandigital.com>
 +-----------------------------------------------------------------------------+
=end comment info
=cut

  BEGIN { push @INC, '/usr/webtool/modules'; }

  # use perl;
  use WebTool;

  # Print standard header.
  WebTool::Header('GDSN :: Send System Overview', 'index.cgi');

  # Display the page.
  print <<EOF;
<P><CENTER>
  <FORM ACTION="do_send_sysoverview.cgi" METHOD="POST">
  <TABLE BORDER="0" WIDTH="620" CELLPADDING="0" CELLSPACING="0">
  <TR $tb>
    <TD COLSPAN="2"><DIV CLASS="ttitle">
      <B>GDSN :: Send System Overview</B>
    </DIV></TD>
  </TR>

  <TR $cb>
    <TD COLSPAN="2"><DIV CLASS="nbody">
      This GDSN function allows you to send Guardian Digital an "overview" of
      this machines configuration.  This information is used by Guardian
      Digital to better support a wider variety of hardware.

      <BR><BR>A quick summary of what is sent:

      <UL>
        <LI>CPU, interrupt, disk, memory, and swap information</LI>
        <LI>What PCI devices are present in this system</LI>
        <LI>What version of EnGarde you are running</LI>
        <LI>A listing of all the packages installed on this sytem</LI>
      </UL>

      To send this overview please click the button below.  This overview does
      not include any personal or sensitive information.
    </DIV></TD>
  </TR>

  <TR $cb><TD COLSPAN="2">&nbsp;</TD></TR>

  <TR $cb>
    <TD WIDTH="10"> &nbsp; </TD>
    <TD>
      <TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" WIDTH="100%">
      <TR $tb>
        <TD COLSPAN="2"><DIV CLASS="thead"><B>System Overview</B></DIV></TD>
      </TR>

      <TR $cb>
        <TD><DIV CLASS="nbody">
          I wish to help Guardian Digital by sending a System Overview.
        </DIV></TD>

        <TD ALIGN="RIGHT"><DIV CLASS="toolfont">
          <INPUT TYPE="SUBMIT" NAME="send" VALUE="Send Overview">
        </DIV?</TD>
      </TR>
      </TABLE>
    </TD>
  </TR>

  <TR $cb><TD COLSPAN="2">&nbsp;</TD></TR>
  </TABLE></FORM>
EOF

  # Print standard footer.
  WebTool::Footer();
